Quassel IRC - Bug #1233

Language changed after upgrade
06/26/2013 08:37 AM - nasso

Status: Resolved Start date: 06/26/2013
Priority: Urgent Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Some future release

Version: 0.9-pre 0S: Mac OS X
Description

| just upgraded quassel to the following version:
Version: v0.9.0 (git-3b9dd10%)

Protocol version: 10

Built: May 9 2013 12:48:26

| downloaded the dmg-file. Mounted it and dragged the application to the applications folder. | clicked on replace to replace the old
version.

When i started up quassel everything in the ui was in japanese/chinese or something like that.
| have no idea how to change it back to english, as i dont know japanese.

The preferences item in the menu is still in english. And the reset defaults button is too.
If i reset defaults, will all my connections/irc server configurations be removed?

Can someone guide me in the interface to the place where is can change the language?

Also, the version i use is not available in the versions selectbox. Im using 0.9 not 0.9-pre.

Associated revisions

Revision 7a3f6201 - 10/10/2013 08:11 PM - Bas Pape

Use the old way of finding translations for OSX.

Many OSX users reported their clients being in Japanese, rather than
English, since 0.9.0, which turned out to be due to

QSystemLocale::query for QSystemLocal::UILanguages (internally done by
Qt if a QLocale is passed to QTranslator::load) returning 'en’, rather

than the proper local form (e.g. 'en-US').

As 'en' has no translation, the second language got picked up, which
happened to be 'ja', which does have a translation.

Fixes #1233 (but reintroduces #1194 on OSX)

Revision 20e3307b - 10/10/2013 09:20 PM - Bas Pape

Use the old way of finding translations for OSX.

Many OSX users reported their clients being in Japanese, rather than
English, since 0.9.0, which turned out to be due to

QSystemLocale::query for QSystemLocal::UILanguages (internally done by
Qt if a Qlocale is passed to QTranslator::load) returning 'en’, rather

than the proper local form (e.g. 'en-US').

As 'en' has no translation, the second language got picked up, which
happened to be 'ja', which does have a translation.

Fixes #1233 (but reintroduces #1194 on OSX)

History

#1 - 06/26/2013 09:32 AM - Anonymous

- Status changed from New to Confirmed
- Priority changed from Normal to Urgent
Go to settings, set the second dropdown to the first value and after restarting the client, you should end up with an untranslated (thus english) client.

#2 - 09/08/2013 04:19 PM - Anonymous

- Target version set to Some future release

PR 34

#3 - 10/10/2013 09:25 PM - Anonymous
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:20e3307b37c03c22b97c060fd2dc0c999f0219b6.
https://github.com/quassel/quassel/pull/34
http://www.tcpdf.org

